lomiri-download-manager (0.2.1-3build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:12:51 +0200

lomiri-download-manager (0.2.1-3build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:02:26 +0200

lomiri-download-manager (0.2.1-3) unstable; urgency=medium

  * debian/rules:
    + Re-enable tests on mips64el.
    + Build with -DENABLE_WERROR=OFF. (Closes: #1102528).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Apr 2025 06:24:51 +0200

lomiri-download-manager (0.2.1-2) unstable; urgency=medium

  * debian/rules:
    + Re-order build, test and install. Qt6 first, then Qt5. Esp. important for
      dh_auto_install.
    + Drop QT_SELECT variable.
    + Support skipping tests on selected architecture based on Qt version. If
      tests are skipped, don't even build the test code.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Apr 2025 00:13:35 +0200

lomiri-download-manager (0.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0002_CMake-Also-build-Lomiri.DownloadManager-QML-module-a.patch.
      Applied upstream.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 04 Apr 2025 14:13:05 +0200

lomiri-download-manager (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_use-CMAKE_FULL_INSTALL-variables.patch. Applied upstream.
    + Add 0002_CMake-Also-build-Lomiri.DownloadManager-QML-module-a.patch.
      Also build QML Lomiri.DownloadManger module for Qt6.
  * debian/:
    + Introduce building parts of lomiri-download-manager as Qt6 variants.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 03 Apr 2025 17:14:58 +0200

lomiri-download-manager (0.1.3-5) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Add to B-D: systemd-dev. (Closes: #1072761).
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 07 Jun 2024 18:46:54 +0200

lomiri-download-manager (0.1.3-4) unstable; urgency=medium

  * Upload to unstable.

  * debian/rules:
    + Stop using pkgkde_symbolshelper tool.
  * debian/control:
    + Drop from B-D: pkg-kde-tools.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 04 Mar 2024 09:16:33 +0100

lomiri-download-manager (0.1.3-3) experimental; urgency=medium

  [ Graham Inggs ]
  * Rename libraries for 64-bit time_t transition.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Feb 2024 22:33:16 +0100

lomiri-download-manager (0.1.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062669

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 09:45:09 +0000

lomiri-download-manager (0.1.3-2) unstable; urgency=medium

  * debian/*.symbols:
    + Remove remaining .symbols files. Follow-up to previous upload.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Feb 2024 22:28:29 +0100

lomiri-download-manager (0.1.3-1) unstable; urgency=medium

  * New upstream release.
    - Drop usage of GetConnectionAppArmorSecurityContext. (Closes: #1057467).
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
    + Update auto-generated copyright.in file.
  * debian/patches:
    + Drop all patches. Applied upstream.
  * debian/*.symbols:
    + Drop .symbols files. Avoid having to maintain them long-term.
  * debian/{*.manpages,*.1}:
    + Use upstream's man pages (which don't get compressed by them, so...).
  * debian/rules
    +  Remove results.txt during dh_clean. (Closes: #1046220).
  * debian/rules:
    + Set ENABLE_WERROR=OFF.
  * debian/patches:
    + Add 0001_use-CMAKE_FULL_INSTALL-variables.patch. Use CMAKE_FULL_INSTALL_*
      variables everywhere.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 Feb 2024 18:08:06 +0100

lomiri-download-manager (0.1.2-2) unstable; urgency=medium

  * [debian/*.symbols] Mark unused symbols that would otherwise be optimized out
  * debian/patches: Add patch to fix FTBFS with googletest 1.13.0 (closes #1041088)
  * debian/control: Use my new debian email

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 02:13:05 +0200

lomiri-download-manager (0.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Bump to DH compat level version 13.
  * debian/source/lintian-overrides:
    + Contained override obsolete.
  * debian/copyright:
    + Update auto-generated copyright.in file (for 1.1.2 release).
    + Update copyright attributions.
  * debian/rules:
    + Don't ship the locale files for now as they need a common:pkg to be
      shipped in. This needs communication effort during Debian freeze.
  * debian/lomiri-{download,upload}-manager.install:
    + Include systemd service files.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 02:38:39 +0100

lomiri-download-manager (0.1.1-1) unstable; urgency=medium

  * Upstream release 0.1.1
  * debian/ldm.install: Systemd user job has been removed upstream (v 0.1.1)
  * debian/*.install: Rename files to match upstream release (v 0.1.1)
  * debian/control: Update B-D to match upstream release (v 0.1.1)
  * debian/control: Add xauth to B-D, needed for tests
  * debian/patches: Remove upstreamed patches
     - 1001_typo-fixes.patch
     - 1002_doxygen-relative-paths.patch
  * debian/patches: Refresh patches
     - 2001_build-without-Werror.patch
  * debian/copyright: Update copyright to match new upstream release
  * debian/control: Add myself to uploaders

 -- Marius Gripsgard <marius@ubports.com>  Fri, 17 Jun 2022 11:50:21 +0200

lomiri-download-manager (0.1.0-9) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/rules:
    + Comment out DPKG_GENSYMBOLS_CHECK_LEVEL, lets use default.
      (Closes: #995281).

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/patches:
    + Add README file explaining our patch naming scheme.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 Nov 2021 12:54:31 +0100

lomiri-download-manager (0.1.0-8) unstable; urgency=medium

  * debian/control:
    + Fix D (liblomiri-upload-manager-common-dev):
      liblomiri-upload-manager-common0 instead of
      liblomiri-download-manager-common0. Thanks piuparts.
      (Closes: #988808).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 23 May 2021 22:01:37 +0200

lomiri-download-manager (0.1.0-7) unstable; urgency=medium

  * debian/changelog:
    + Remove 0.1.0-5 release from changelog, never uploaded, simply skipped by
      mistake.
  * debian/control:
    + Make B-D on libgtest-dev versioned (>= 1.10.0.20201025-1~).
    + Update versioned B-D on cmake-extras (>= 1.5-7~).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 13 Dec 2020 20:45:29 +0100

lomiri-download-manager (0.1.0-6) unstable; urgency=medium

  * debian/control:
    + Add B-D: pkg-config, required by 'find_package(GMock)' in cmake-extras.
  * debian/patches:
    + Add 20021_build-without-Werror.patch. Remove -Werror from the equation
      to avoid FTBFS due to 3rd-party library updates in Debian.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 14:41:07 +0100

lomiri-download-manager (0.1.0-4) unstable; urgency=medium

  * debian/control:
    + Update B-D for cmake-extra and require at least version 1.5-5~. (Closes:
      #973078).
    + Switch from transitional google-mock to googletest in B-D.
    + Add libgtest-dev as suggested by recent cmake-extras package.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 30 Oct 2020 09:34:35 +0100

lomiri-download-manager (0.1.0-3) unstable; urgency=medium

  * debian/control:
    + Fix Vcs-*: URLs.
  * debian/*.symbols:
    + Update symbols using pkgkde-symbolshelper.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Sep 2020 15:47:40 +0200

lomiri-download-manager (0.1.0-2) unstable; urgency=medium

  * debian/control:
    + Add B-D: graphviz.
  * debian/liblomiri-download-manager-*.symbols:
    + Update symbols for arch:powerpc.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 07 Sep 2020 21:12:40 +0200

lomiri-download-manager (0.1.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #952726).

  * debian/watch:
    + Add file.
  * debian/control:
    + Set Maintainer: to Debian UBports Team and add myself to Uploaders:
      field. Update Homepage: field.
    + Update Vcs-*: fields.
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
    + Add B-Ds: rdfind and symlinks.
    + Add B-D: pkg-kde-tools.
    + Drop from B-D: dh-translations.
    + Drop from B-D: qtdeclarative5-test-plugin; add instead: qml-module-qttest.
    + Drop some redundant 'Section: net' fields.
    + Work through SYNOPSES and LONG_DESCRIPTIONs.
  * debian/{control,*.install}:
    + Switch back to SOVERSION=0 for all shared lib bin:pkgs.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation. Bump DH compat level to version 12.
  * debian/{control,*}:
    + Rename bin:pkg qtdeclarative5-lomiri-download-manager0.1 to
      qml-module-lomiri-downloadmanager.
    + Add bin:pkg qml-module-lomiri-downloadmanager-doc. Move QML API
      documentation into this bin:pkg.
  * debian/rules:
    + Move --fail-missing to dh_missing override.
    + Semantically fix dh_auto_install override.
    + Verbose file removals.
    + Use upstream's NEWS file as upstream ChangeLog.
    + Move LDM client API docs to correct folder, deduplicate files.
    + Add option --with pkgkde_symbolshelper to debhelper calls.
    + Drop now default --parallel DH option.
    + Drop --with-translations DH option. Ubuntu'ism.
    + Forcefully enable all hardening options.
    + Include architecture.mk, stop using dpkg-architecture.
    + Set QT_SELECT to 5.
    + Add get-orig-source target.
    + Fix override_dh_auto_install target. (Remove files after dh_auto_install,
      not before).
    + Remove empty directory in QML API documentation.
  * debian/copyright:
    + Update (fix) global header.
    + Add auto-generated copyright.in file.
    + Detailed file list copyright style.
    + Fine-tune, fix some syntaxt flaws.
  * debian/source/format:
    + Add file (3.0 (quilt)).
  * debian/source/lintian-overrides:
    + Override odd-historical-debian-changelog-version.
  * debian/liblomiri-download-manager-client-dev.install:
    + Install include file lomiri/download_manager/logger.h into
      liblomiri-download-manager-client-dev bin:pkg.
  * debian/liblomiri-download-manager-client-doc.doc-base:
    + Add file.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.
  * debian/patches:
    + Add 1001_typo-fixes.patch. Fix typo in DBus specification.
    + Add 1002_doxygen-relative-paths.patch. Avoid build path in generated API
      documentation.
  * debian/*.symbols:
    + Add files (amd64 arch only, for now).
    + Add *Build-Depends-Package: fields.
  * debian/libldm-priv-common0.lintian-overrides:
    + Add file. Override warning about non-provided symbols file (private
      library).
  * man pages:
    + Add very minimal and rudimentry man pages for
      lomiri-{download,upload}-manager.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 02 Mar 2020 22:27:23 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libldm-common-qt6-dev`.
